var url_zm = 'ajax.php';
var zenmall_reg_link = "http://accounts.zenmall.ru";
var zenmall_manage_link = "http://accounts.zenmall.ru/#/catalog";

$(document).ready(function(){
    $('#zenmall-export-step3 a.zenmall_reg_link').attr('href',zenmall_reg_link);
    $('#zenmall-export-step3 a.zenmall_manage_link').attr('href',zenmall_manage_link);
});

function ZenMallSetStep(step){
    var container = $('#zenmall-export-step'+parseInt(step));
    $('#zenmall_export_wrapper > .step').hide();
    container.show();
}

function ZenMallStartExport(){
    ZenMallSetStep(2);
    $.ajax({
        type: "POST",
        dataType: 'json',
        url: url_zm,
        success: function(resp){
            if(resp.error){
                ZenMallSetError(resp.error_message);
                ZenMallSetStep(1);
            }else{
                $('#zenmall-export-step3 .text_hyperlink').html(resp.export_url);
                $('#zenmall-export-step3 .copy_link').attr('data-clipboard-text',resp.export_url);
                ZenMallSetStep(3);
                var client = new ZeroClipboard($("#zenmall-export-step3 .copy_link"));
            }
        }
    });
}

function ZenMallSetError (text) {
    $('.b-error__message').html(text);
    $('.b-error').show();
    setTimeout(function() {$('.b-error').hide();}, 5000)
}