<?php
global $MODULE_FOLDER, $SUB_FOLDER, $catalogue;

$module_name = 'zenmall';

$NETCAT_FOLDER = join(strstr(__FILE__, "/") ? "/" : "\\", array_slice(preg_split("/[\/\\\]+/", __FILE__), 0, -4)).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");

require_once ($ADMIN_FOLDER."modules/ui.php");
$UI_CONFIG = new ui_config_module($module_name);

if (is_file($MODULE_FOLDER.$module_name."/".MAIN_LANG.".lang.php")) {
  include_once ($MODULE_FOLDER.$module_name."/".MAIN_LANG.".lang.php");
} else {
  include_once ($MODULE_FOLDER.$module_name."/en.lang.php");
}

// ---- ↓ ------- ↓ ------

$Title1 = NETCAT_MODULES;
$Title2 = NETCAT_MODULE_ZENMALL;
BeginHtml($Title2, $Title1, '', $module_name);

echo "<script src='".$SUB_FOLDER.$nc_core->HTTP_ROOT_PATH."modules/".$module_name."/js/zeroclipboard/ZeroClipboard.js'></script>\n";
?>
<div class="b-error">
  <span class="b-error__message"></span>
</div>
<div id="zenmall_export_wrapper" class="OpenSans">
  <div id="zenmall-export-step1" class="b-wrapper step">
    <div class="wrapper">
      <a href="javascript: void 7;" class="logo"></a>
      <span class="underline"></span>
      <div class="content">
        <h2 class="header">
          <?= ZENMALL_EXPORT_START_TITLE ?></h2>
        <p class="text">
          <?= ZENMALL_EXPORT_START_DESCRIPTION ?></p>
      </div>
      <div class="content">
        <a href="javascript: void 7;" onclick="ZenMallStartExport()" class="button"><?= ZENMALL_EXPORT_START_BUTTON ?></a>
      </div>
      <div class="content">
        <p class="text text_info">
          <?= ZENMALL_EXPORT_START_INFO ?></p>
      </div>
    </div>
  </div>
  <div id="zenmall-export-step2" class="b-wrapper step" style="display:none">
    <div class="wrapper">
      <a href="javascript: void 7;" class="logo"></a>
      <span class="underline"></span>
      <div class="content">
        <h2 class="header">
          <?= ZENMALL_EXPORT_SYNC_TITLE ?></h2>
        <p class="text">
          <?= ZENMALL_EXPORT_SYNC_DESCRIPTION ?></p>
      </div>
      <div class="content">
        <div class="text text_progress"><?= ZENMALL_EXPORT_SYNC_STATUS_TEXT_CATALOG_SCTRUCTURE ?></div>
      </div>
      <div class="content">
        <p class="text text_info">
          <?= ZENMALL_EXPORT_SYNC_INFO_TIME ?></p>
      </div>
    </div>
  </div>
  <div id="zenmall-export-step3" class="b-wrapper step" style="display:none">
    <div class="wrapper">
      <a href="javascript: void 7;" class="logo"></a>
      <span class="underline"></span>
      <div class="content">
        <h2 class="header">
          <?= ZENMALL_EXPORT_FINISH_TITLE ?></h2>
        <ol class="text text_listing">
          <li>
            <a href="javascript: void 7;" target="_blank" class="text text_link zenmall_reg_link"><?= ZENMALL_EXPORT_FINISH_REGISTRATION ?></a> <?= ZENMALL_EXPORT_FINISH_YOUR_SHOP ?></li>
          <li>
            <?= ZENMALL_EXPORT_FINISH_COPY_LINK ?></li>
          <li>
            <?= ZENMALL_EXPORT_FINISH_OPEN_PAGE ?><a href="javascript: void 7;" target="_blank" class="text text_link zenmall_manage_link"><?= ZENMALL_EXPORT_FINISH_MANAGE_CATALOG ?></a> <?= ZENMALL_EXPORT_FINISH_IN_BACK_OFFICE ?></li>
          <li>
            <?= ZENMALL_EXPORT_FINISH_INSERT_LINK ?></li>
        </ol>
      </div>
      <div class="content">
        <div class="text text_hyperlink">
          
        </div>
      </div>
      <div class="content">
        <a href="javascript: void 7;" class="button copy_link"><?= ZENMALL_EXPORT_FINISH_BUTTON_GET_LINK ?></a>
      </div>
      <div class="content">
        <p class="text text_info">
          <?= ZENMALL_EXPORT_FINISH_CATALOG_WILL_BE_IMPORTED ?></p>
      </div>
      <div class="content">
        <p class="text text_info">
          <?= ZENMALL_EXPORT_FINISH_RECOMMENDATION ?></p>
      </div>
    </div>
  </div>
</div>



<?php
EndHtml();