<?php
$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
require_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
// require_once ($ROOT_FOLDER.'connect_io.php');
$nc_core = nc_Core::get_object();
$MODULE_VARS = $nc_core->modules->get_module_vars();
global $nc_core, $MODULE_VARS;
$module_name = 'zenmall';
if (is_file($MODULE_FOLDER.$module_name."/".MAIN_LANG.".lang.php")) {
  include_once ($MODULE_FOLDER.$module_name."/".MAIN_LANG.".lang.php");
} else {
  include_once ($MODULE_FOLDER.$module_name."/en.lang.php");
}

require_once($MODULE_FOLDER . "netshop/function.inc.php");
require_once($MODULE_FOLDER . "netshop/export/yandexml.inc.php");
include_once('function.inc.php');

$MODULE_VARS = $nc_core->modules->get_module_vars();

$path = $file_name = $NETCAT_FOLDER . "zenmall.xml";

$row = $db->get_row("SELECT Catalogue_ID, Domain FROM `Catalogue` WHERE Catalogue_ID = '" .$MODULE_VARS["zenmall"]['ID_CATALOG']. "'", ARRAY_A);
if ($row != null && count($row)>0) {
    $catalogue = $row['Catalogue_ID'];
    $netshop = nc_netshop::get_instance($catalogue);

    $data = new Zenmall_Data($netshop, $row['Domain']);
    $export_url = "http://" . $row['Domain'] . "/zenmall.xml";
    if(count($data->categories) > 0){
    	$export = new Zenmall_XMLGen();
	    $export->outputFile = $path;
	    $export->shopInfo = $data->shopInfo;
	    $export->currencies = $data->currencies;
	    $export->categories = $data->categories;
	    $export->offers = $data->offers;
		$export->run();
		die(json_encode(array('error'=>false, 'export_url'=>$export_url)));
    }else{
    	die(json_encode(array('error'=>true, 'error_message'=>ZENMALL_EXPORT_ERROR_CATEGORIES_NOT_FOUND)));
    }
}else{
	die(json_encode(array('error'=>true, 'error_message'=>ZENMALL_EXPORT_ERROR_SITE_NOT_FOUND)));
}
